import numpy as np
import matplotlib.pyplot as plt
import scipy.io as sio

# Problem 1

rx = sio.loadmat('mf_output.mat')
y = rx['mf_output'].flatten()

# number of samples per symbol (upsampling factor)
SPS = int(50)
